%define name	wise
%define version	2.4.1
%define rel	2
%define release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Comparisons of DNA and protein sequences
Group:		Sciences/Biology
License:	GPL
URL:		http://www.ebi.ac.uk/~birney/wise2
Source:		http://www.ebi.ac.uk/~birney/wise2/%{name}%{version}.tar.gz
Patch0:		fix_getline.patch
Patch1:		wise2.4.1-replace-isnumber.patch
Patch2:		wise2.4.1-fix-makefile.patch
Patch3:		wise2.4.1-clean-makefile.patch
BuildRequires:	libglib2.0-devel
BuildRequires:	flex
Provides: 	wise2 = %{version}-%{release}

%description
Wise2 is a package focused on comparisons of biopolymers, commonly DNA and 
protein sequence. Wise2's particular forte is the comparison of DNA sequence 
at the level of its protein translation. This comparison allows the simulta-
neous prediction of say gene structure with homology based alignment.

The Wise2 package was principally written by Ewan Birney, who wrote the main
genewise and estwise programs. The protein comparison database search program
was written by Richard Copley using the underlying Wise2 libraries.
Wise2 also uses code from Sean Eddy for reading HMMs and
for Extreme value distribution fitting.

%prep
%setup -q -n %{name}%{version}
%patch0	-p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
cd src
%make all || :
cd ../src/dyc/
%make newdyc || :
export PATH="$PATH:$PWD"
%make linux
cd ../../src
export WISECONFIGDIR="$PWD/../wisecfg"
%make init
%make CFLAGS="-c $RPM_OPT_FLAGS `pkg-config --libs glib-2.0 --cflags glib-2.0`" all

%install

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/models/{pswdb,psw,genewisedb,estwisedb,estwise,genewise,dba,dnal,genomewise} %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 wisecfg/* %{buildroot}%{_datadir}/%{name}

# configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
echo "export WISECONFIGDIR=%{_datadir}/%{name}" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
echo "setenv WISECONFIGDIR %{_datadir}/%{name}" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

%files
%doc README LICENSE docs
%{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/profile.d/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.4.1-2.mga3
+ Revision: 385718
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 dams <dams> 2.4.1-1.mga2
+ Revision: 221262
- new version 2.4.1
- update and clean spec file

* Tue Mar 29 2011 ennael <ennael> 2.2.0-9.mga1
+ Revision: 78754
- clean spec file
- imported package wise

